## org.eclipse.ocl.ecore
Interface IntegerLiteralExp

All Superinterfaces:
  ASTNode, EModelElement, ENamedElement, EObject, ETypedElement, IntegerLiteralExp<EClassifier>, LiteralExp<EClassifier>, Notifier, NumericLiteralExp<EClassifier>, OCLExpression<EClassifier>, PrimitiveLiteralExp<EClassifier>, TypedElement<EClassifier>, Visitable

    public interface IntegerLiteralExp

extends NumericLiteralExp, IntegerLiteralExp<EClassifier>

A representation of the model object 'Integer Literal Exp'.

See Also:
  `EcorePackage.getIntegerLiteralExp()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.ocl.expressions.IntegerLiteralExp
`checkIntegerType, getIntegerSymbol, setIntegerSymbol`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.